Skip to content

WiFi

All operations require authentication.

5 operationsv1/xdsl/{serviceName}
Agent setup

List the WLANs of the modemProduction

GET
/1.0/xdsl/{serviceName}/modem/wifi

Returns the names of the WiFi networks of the modem of the access.

Path parameters

serviceName
required
string

Service name

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/wifi \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a WLAN of the modemProduction

GET
/1.0/xdsl/{serviceName}/modem/wifi/{wifiName}

Returns the SSID, state, visibility, frequency, channel, security type and key of a WiFi network, and whether it is a guest network.

Path parameters

serviceName
required
string

Service name

wifiName
required
string

Wifi name

Response

200WLANsuccessful operation
SSID
string

Service Set Identifier of the WLAN interface

SSIDAdvertisementEnabled
boolean

Hide or show the Wifi

bandSteering
read-only
boolean

Indicate if frequencies 2.4GHz and 5GHz are agregated

channel
integer

Choice of a channel (When chosen, channelMode is set to Manual)

channelMode
ChannelModeEnum

How the WiFi channel is selected

ValuesAutoManual
enabled
boolean

Wifi state

frequency
read-only
FrequencyEnum

Frequency (2.4GHz | 5GHz)

Values2.4GHz5GHz
guest
read-only
boolean

Indicate if it is normal access wifi or guest wifi

securityKey
string

WiFi security key

securityType
SecurityTypeEnum

Type of WLAN security protection

ValuesNoneWEPWPAWPA2WPA2andWPA3WPA3WPAandWPA2
taskId
read-only
integer

ID of the ongoing todo (NULL if none)

wifiName
read-only
string

Name of the Wifi

Example uses serviceName = string, wifiName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/wifi/{wifiName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "SSID": "string", "SSIDAdvertisementEnabled": true, "bandSteering": true, "channel": 0, "channelMode": "Auto", "enabled": true, "frequency": "2.4GHz", "guest": true, "securityKey": "string", "securityType": "None", "taskId": 0, "wifiName": "string"}

Update a WLAN of the modemProduction

PUT
/1.0/xdsl/{serviceName}/modem/wifi/{wifiName}

Changes the SSID, state, visibility, channel, channel mode, security type or security key of a WiFi network.

Path parameters

serviceName
required
string

Service name

wifiName
required
string

Wifi name

Request body (required)

SSID
string

Service Set Identifier of the WLAN interface

SSIDAdvertisementEnabled
boolean

Hide or show the Wifi

bandSteering
read-only
boolean

Indicate if frequencies 2.4GHz and 5GHz are agregated

channel
integer

Choice of a channel (When chosen, channelMode is set to Manual)

channelMode
ChannelModeEnum

How the WiFi channel is selected

ValuesAutoManual
enabled
boolean

Wifi state

frequency
read-only
FrequencyEnum

Frequency (2.4GHz | 5GHz)

Values2.4GHz5GHz
guest
read-only
boolean

Indicate if it is normal access wifi or guest wifi

securityKey
string

WiFi security key

securityType
SecurityTypeEnum

Type of WLAN security protection

ValuesNoneWEPWPAWPA2WPA2andWPA3WPA3WPAandWPA2
taskId
read-only
integer

ID of the ongoing todo (NULL if none)

wifiName
read-only
string

Name of the Wifi

Response

200—successful operation

Example uses serviceName = string, wifiName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/wifi/{wifiName} \
  -H "authorization: Bearer $OVH_TOKEN"

Get the WiFi QR code of the modemProduction

GET
/1.0/xdsl/{serviceName}/modem/wifi/{wifiName}/qrCode

Returns, as a base64 image, the QR code to connect to the WiFi network of the modem, when the modem supports it.

Path parameters

serviceName
required
string

Service name

wifiName
required
string

Wifi name

Response

200stringsuccessful operation

Example uses serviceName = string, wifiName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/wifi/{wifiName}/qrCode \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

List the WiFi channels of the modemProduction

GET
/1.0/xdsl/{serviceName}/modem/availableWLANChannel

Returns the WiFi channels the modem of the access can use on the 2.4GHz or 5GHz frequency.

Path parameters

serviceName
required
string

Service name

Query parameters

frequency
required
WLANFrequencyEnum

WLAN frequency you want to retrieve channels

Values2.4GHz5GHz

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/modem/availableWLANChannel \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]